/* ---------------------------LICENSE NOTICE-------------------------------- 
MIT License

Copyright (c) 2018 David Asta

Permission is hereby granted, free of charge, to any person obtaining a copy
of this software and associated documentation files (the "Software"), to deal
in the Software without restriction, including without limitation the rights
to use, copy, modify, merge, publish, distribute, sublicense, and/or sell
copies of the Software, and to permit persons to whom the Software is
furnished to do so, subject to the following conditions:

The above copyright notice and this permission notice shall be included in all
copies or substantial portions of the Software.

THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND, EXPRESS OR
IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY,
FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN NO EVENT SHALL THE
AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER
LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING FROM,
OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS IN THE
SOFTWARE.
*/

#include "sprites.h"
#include "defines.h"

/*
 * -------------------------- CANNONS --------------------------
 */
const unsigned char spr_cannon_left[64] = { 
	0x55, 0x08, 0xFF, 0x00, 
	0x55, 0x08, 0xFF, 0x00, 
	0x00, 0x0C, 0xFF, 0x00, 
	0x00, 0x0C, 0xFF, 0x00, 
	0x00, 0x0C, 0xFF, 0x00, 
	0x00, 0x0C, 0xFF, 0x00, 
	0x00, 0x49, 0x55, 0x82, 
	0x00, 0x49, 0x00, 0x87, 
	0x00, 0x49, 0x00, 0x87, 
	0x00, 0x49, 0x55, 0x82, 
	0x00, 0x0C, 0xFF, 0x00, 
	0x00, 0x0C, 0xFF, 0x00, 
	0x00, 0x0C, 0xFF, 0x00, 
	0x00, 0x0C, 0xFF, 0x00, 
	0x55, 0x08, 0xFF, 0x00, 
	0x55, 0x08, 0xFF, 0x00};

const unsigned char spr_cannon_right[64] = { 
	0xFF, 0x00, 0xAA, 0x10, 
	0xFF, 0x00, 0xAA, 0x10, 
	0xFF, 0x00, 0x00, 0x30, 
	0xFF, 0x00, 0x00, 0x30, 
	0xFF, 0x00, 0x00, 0x30, 
	0xFF, 0x00, 0x00, 0x30, 
	0xAA, 0x41, 0x00, 0x92, 
	0x00, 0x4B, 0x00, 0x92, 
	0x00, 0x4B, 0x00, 0x92, 
	0xAA, 0x41, 0x00, 0x92, 
	0xFF, 0x00, 0x00, 0x30, 
	0xFF, 0x00, 0x00, 0x30, 
	0xFF, 0x00, 0x00, 0x30, 
	0xFF, 0x00, 0x00, 0x30, 
	0xFF, 0x00, 0xAA, 0x10, 
	0xFF, 0x00, 0xAA, 0x10};

/*
 * -------------------------- BRICKS --------------------------
 */
const unsigned char spr_brick_black[BRICK_W * BRICK_H] = { 
	0x00, 0x00, 
	0x00, 0x00, 
	0x00, 0x00, 
	0x00, 0x00};


const unsigned char spr_brick_blue[BRICK_W * BRICK_H] = { 
	0xC0, 0x80, 
	0xC0, 0x80, 
	0xC0, 0x80, 
	0x00, 0x00};


const unsigned char spr_brick_brightblue[BRICK_W * BRICK_H] = { 
	0x0C, 0x08, 
	0x0C, 0x08, 
	0x0C, 0x08, 
	0x00, 0x00};


const unsigned char spr_brick_red[BRICK_W * BRICK_H] = { 
	0xCC, 0x88, 
	0xCC, 0x88, 
	0xCC, 0x88, 
	0x00, 0x00};


const unsigned char spr_brick_brightred[BRICK_W * BRICK_H] = { 
	0x30, 0x20, 
	0x30, 0x20, 
	0x30, 0x20, 
	0x00, 0x00};


const unsigned char spr_brick_green[BRICK_W * BRICK_H] = { 
	0xF0, 0xA0, 
	0xF0, 0xA0, 
	0xF0, 0xA0, 
	0x00, 0x00};


const unsigned char spr_brick_cyan[BRICK_W * BRICK_H] = { 
	0x3C, 0x28, 
	0x3C, 0x28, 
	0x3C, 0x28, 
	0x00, 0x00};


const unsigned char spr_brick_skyblue[BRICK_W * BRICK_H] = { 
	0xFC, 0xA8, 
	0xFC, 0xA8, 
	0xFC, 0xA8, 
	0x00, 0x00};


const unsigned char spr_brick_yellow[BRICK_W * BRICK_H] = { 
	0x03, 0x02, 
	0x03, 0x02, 
	0x03, 0x02, 
	0x00, 0x00};


const unsigned char spr_brick_white[BRICK_W * BRICK_H] = { 
	0xC3, 0x82, 
	0xC3, 0x82, 
	0xC3, 0x82, 
	0x00, 0x00};


const unsigned char spr_brick_orange[BRICK_W * BRICK_H] = { 
	0x0F, 0x0A, 
	0x0F, 0x0A, 
	0x0F, 0x0A, 
	0x00, 0x00};


const unsigned char spr_brick_brightgreen[BRICK_W * BRICK_H] = { 
	0xCF, 0x8A, 
	0xCF, 0x8A, 
	0xCF, 0x8A, 
	0x00, 0x00};


const unsigned char spr_brick_brightcyan[BRICK_W * BRICK_H] = { 
	0x33, 0x22, 
	0x33, 0x22, 
	0x33, 0x22, 
	0x00, 0x00};


const unsigned char spr_brick_brightyellow[BRICK_W * BRICK_H] = { 
	0xF3, 0xA2, 
	0xF3, 0xA2, 
	0xF3, 0xA2, 
	0x00, 0x00};


const unsigned char spr_brick_pastelyellow[BRICK_W * BRICK_H] = { 
	0x3F, 0x2A, 
	0x3F, 0x2A, 
	0x3F, 0x2A, 
	0x00, 0x00};


const unsigned char spr_brick_brightwhite[BRICK_W * BRICK_H] = { 
	0xFF, 0xAA, 
	0xFF, 0xAA, 
	0xFF, 0xAA, 
	0x00, 0x00};


/*
 * -------------------------- CANNONBALLS --------------------------
 */
const unsigned char spr_cball[12] = { 
	0xAA, 0x55, 0xFF, 0x00, 
	0x55, 0xAA, 0x55, 0xAA, 
	0xAA, 0x55, 0xFF, 0x00};


/*
 * -------------------------- POWER UPS --------------------------
 */
const unsigned char spr_pwup_dp[PWUP_W * PWUP_H] = { 
	0x0C, 0x0C, 0x0C, 0x0C, 0x0C, 0x0C, 0x0C, 
	0x4D, 0xCF, 0xCF, 0xCF, 0xCF, 0xCF, 0x8E, 
	0x4D, 0xCF, 0xCF, 0x8A, 0x00, 0x00, 0x8E, 
	0x4D, 0xCF, 0xCF, 0x8A, 0x00, 0x00, 0x8E, 
	0x4D, 0xCF, 0xCF, 0xCF, 0xCF, 0x00, 0x8E, 
	0x4D, 0xCF, 0xCF, 0xCF, 0xCF, 0x00, 0x8E, 
	0x4D, 0xCF, 0xCF, 0x8A, 0x00, 0x00, 0x8E, 
	0x4D, 0xCF, 0xCF, 0x8A, 0x00, 0x00, 0x8E, 
	0x4D, 0xCF, 0xCF, 0x8A, 0x45, 0xCF, 0x8E, 
	0x4D, 0x45, 0x45, 0x8A, 0x45, 0xCF, 0x8E, 
	0x4D, 0x8A, 0xCF, 0x8A, 0x00, 0x00, 0x8E, 
	0x4D, 0x45, 0x45, 0x8A, 0x00, 0x00, 0x8E, 
	0x4D, 0xCF, 0xCF, 0xCF, 0xCF, 0xCF, 0x8E, 
	0x0C, 0x0C, 0x0C, 0x0C, 0x0C, 0x0C, 0x0C};


const unsigned char spr_pwup_tp[PWUP_W * PWUP_H] = { 
	0x0C, 0x0C, 0x0C, 0x0C, 0x0C, 0x0C, 0x0C, 
	0x4D, 0xCF, 0xCF, 0xCF, 0xCF, 0xCF, 0x8E, 
	0x4D, 0xCF, 0xCF, 0x8A, 0x00, 0x00, 0x8E, 
	0x4D, 0xCF, 0xCF, 0x8A, 0x00, 0x00, 0x8E, 
	0x4D, 0xCF, 0xCF, 0xCF, 0xCF, 0x00, 0x8E, 
	0x4D, 0xCF, 0xCF, 0xCF, 0xCF, 0x00, 0x8E, 
	0x4D, 0xCF, 0xCF, 0xCF, 0x00, 0x00, 0x8E, 
	0x4D, 0xCF, 0xCF, 0xCF, 0x00, 0x00, 0x8E, 
	0x4D, 0xCF, 0xCF, 0xCF, 0xCF, 0x00, 0x8E, 
	0x4D, 0x45, 0x45, 0xCF, 0xCF, 0x00, 0x8E, 
	0x4D, 0x8A, 0xCF, 0x8A, 0x00, 0x00, 0x8E, 
	0x4D, 0x45, 0x45, 0x8A, 0x00, 0x00, 0x8E, 
	0x4D, 0xCF, 0xCF, 0xCF, 0xCF, 0xCF, 0x8E, 
	0x0C, 0x0C, 0x0C, 0x0C, 0x0C, 0x0C, 0x0C};


const unsigned char spr_pwup_slow[PWUP_W * PWUP_H] = { 
	0xC3, 0xC3, 0xC3, 0xC3, 0xC3, 0xC3, 0xC3, 
	0xC3, 0xC3, 0xC3, 0xC3, 0xC3, 0xC3, 0xC3, 
	0xC3, 0xC3, 0x83, 0x03, 0xC3, 0xC3, 0xC3, 
	0xC3, 0xC3, 0x52, 0x03, 0xE1, 0xC3, 0xC3, 
	0xC3, 0x83, 0xA1, 0x52, 0x03, 0xC7, 0xCB, 
	0xC3, 0x52, 0x03, 0x52, 0x52, 0x47, 0x45, 
	0x83, 0xA1, 0xA1, 0xA1, 0xA1, 0x47, 0xCF, 
	0x8B, 0x03, 0x52, 0x03, 0x03, 0xE5, 0xCB, 
	0xC7, 0xCF, 0xCF, 0xCF, 0xCF, 0xCB, 0xC3, 
	0xC7, 0xDA, 0xC3, 0xC7, 0xDA, 0xC3, 0xC3, 
	0xC3, 0xC3, 0xC3, 0xC3, 0xC3, 0xC3, 0xC3, 
	0xD3, 0xD3, 0xD3, 0xD3, 0xD3, 0xD3, 0xD3, 
	0xC3, 0xC3, 0xC3, 0xC3, 0xC3, 0xC3, 0xC3, 
	0xC3, 0xC3, 0xC3, 0xC3, 0xC3, 0xC3, 0xC3};


const unsigned char spr_pwup_freeze[PWUP_W * PWUP_H] = { 
	0x00, 0x00, 0x00, 0xB9, 0xA8, 0x00, 0x00, 
	0x00, 0x00, 0x54, 0x33, 0x76, 0x00, 0x00, 
	0x00, 0x00, 0xB9, 0x33, 0x33, 0xA8, 0x00, 
	0x00, 0x54, 0xBB, 0x33, 0x33, 0xFE, 0x00, 
	0x00, 0x54, 0x77, 0x33, 0x77, 0x76, 0x00, 
	0x00, 0x54, 0x33, 0xFF, 0xBB, 0x76, 0x00, 
	0x00, 0x54, 0x33, 0x77, 0x33, 0x76, 0x00, 
	0x00, 0x54, 0x33, 0x77, 0x33, 0x76, 0x00, 
	0x00, 0x54, 0x33, 0x77, 0x33, 0x76, 0x00, 
	0x00, 0x0C, 0xB9, 0x77, 0x33, 0xAC, 0x00, 
	0x00, 0x0C, 0x5C, 0x77, 0x76, 0x0C, 0x00, 
	0x00, 0x00, 0x0C, 0xFD, 0xAC, 0x08, 0x00, 
	0x00, 0x04, 0x0C, 0x5C, 0x0C, 0x00, 0x00, 
	0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00};


const unsigned char spr_pwup_jam[PWUP_W * PWUP_H] = { 
	0xC3, 0xC3, 0xC3, 0x30, 0xC3, 0xC3, 0xC3, 
	0xC3, 0xC3, 0x92, 0xF3, 0x61, 0xC3, 0xC3, 
	0xC3, 0xC3, 0x71, 0xF3, 0xB2, 0xC3, 0xC3, 
	0xC3, 0xC3, 0x71, 0x00, 0xB2, 0xC3, 0xC3, 
	0xC3, 0x92, 0xF3, 0x00, 0xF3, 0x61, 0xC3, 
	0xC3, 0x92, 0xF3, 0x00, 0xF3, 0x61, 0xC3, 
	0xC3, 0x71, 0xF3, 0x00, 0xF3, 0xB2, 0xC3, 
	0xC3, 0x71, 0xF3, 0x00, 0xF3, 0xB2, 0xC3, 
	0x92, 0xF3, 0xF3, 0x00, 0xF3, 0xF3, 0x61, 
	0x92, 0xF3, 0xF3, 0xF3, 0xF3, 0xF3, 0x61, 
	0x71, 0xF3, 0xF3, 0x00, 0xF3, 0xF3, 0xB2, 
	0x71, 0xF3, 0xF3, 0xF3, 0xF3, 0xF3, 0xB2, 
	0x30, 0x30, 0x30, 0x30, 0x30, 0x30, 0x30, 
	0xC3, 0xC3, 0xC3, 0xC3, 0xC3, 0xC3, 0xC3};


const unsigned char spr_pwup_slowcball[PWUP_W * PWUP_H] = { 
	0xCC, 0xCC, 0xCC, 0xCC, 0xCC, 0xCC, 0xCC, 
	0xCC, 0xCC, 0xCC, 0xCC, 0xCC, 0xCC, 0xCC, 
	0xCC, 0xCC, 0xCC, 0xCC, 0xCC, 0xCC, 0xCC, 
	0xCC, 0xCC, 0xCC, 0xCC, 0xCC, 0xCC, 0xCC, 
	0xCC, 0xCC, 0xCC, 0xCC, 0xCC, 0xCC, 0xCC, 
	0xCC, 0xCC, 0xCC, 0xCC, 0xCC, 0xCC, 0xCC, 
	0xCC, 0xCC, 0xCC, 0xCC, 0xCC, 0xDD, 0xCC, 
	0xEE, 0xEE, 0xEE, 0xEE, 0xEE, 0xFF, 0xEE, 
	0xCC, 0xCC, 0xCC, 0xCC, 0xCC, 0xDD, 0xCC, 
	0xCC, 0xCC, 0xCC, 0xCC, 0xCC, 0xCC, 0xCC, 
	0xCC, 0xCC, 0xCC, 0xCC, 0xCC, 0xCC, 0xCC, 
	0xCC, 0xCC, 0xCC, 0xCC, 0xCC, 0xCC, 0xCC, 
	0xCC, 0xCC, 0xCC, 0xCC, 0xCC, 0xCC, 0xCC, 
	0xCC, 0xCC, 0xCC, 0xCC, 0xCC, 0xCC, 0xCC};


/*
 * ---------------- CAR from Chicago's 30 ------------------
 * nod to Chicago’s 30 de Topo Soft for CPCRetroDev 2018
 */

const unsigned char spr_chicago30_crowd_left[1600] = { 
	0x84, 0x0C, 0x0C, 0x0C, 0x0C, 0x0C, 0x0C, 0x0C, 0x0C, 0x0C, 0x0C, 0x0C, 0x0C, 0x0C, 0x0C, 0x0C, 
	0x0C, 0x0C, 0x0C, 0x0C, 0x0C, 0x0C, 0x0C, 0x0C, 0x0C, 0x0C, 0x0C, 0x0C, 0x0C, 0x0C, 0x0C, 0x0C, 
	0x0C, 0x0C, 0x0C, 0x0C, 0x0C, 0x0C, 0x0C, 0x0C, 
	0x7C, 0xFC, 0xFC, 0xFC, 0xFC, 0xFC, 0xFC, 0xFC, 0xFC, 0xFC, 0xFC, 0xFC, 0xFC, 0xFC, 0xFC, 0xFC, 
	0xFC, 0xFC, 0xFC, 0xFC, 0xFC, 0xFC, 0xFC, 0xFC, 0xFC, 0xFC, 0xFC, 0xFC, 0xFC, 0xFC, 0xFC, 0xFC, 
	0xFC, 0xFC, 0xFC, 0xFC, 0xFC, 0xFC, 0xFC, 0xFC, 
	0x7C, 0xFC, 0xFC, 0xFC, 0xFC, 0xFC, 0xFC, 0xFC, 0xFC, 0xFC, 0xFC, 0xFC, 0xFC, 0xFC, 0xFC, 0xB9, 
	0xFC, 0xFC, 0xFC, 0xFC, 0xFC, 0xFC, 0xFC, 0xFC, 0xFC, 0xFC, 0xFC, 0xFC, 0xFC, 0xFC, 0xFC, 0x5C, 
	0x76, 0xFC, 0xFC, 0xFC, 0xFC, 0xFC, 0xFC, 0xFC, 
	0x7C, 0xFC, 0xFC, 0xFC, 0xFC, 0xFC, 0xFC, 0xFC, 0xFC, 0xFC, 0xFC, 0xFC, 0xFC, 0xFC, 0x5C, 0xFF, 
	0x76, 0xFC, 0xFC, 0xFC, 0xFC, 0xFC, 0xFC, 0xFC, 0xFC, 0xFC, 0xFC, 0xFC, 0xFC, 0xFC, 0xAC, 0xFD, 
	0xBB, 0xFC, 0xFC, 0xFC, 0xFC, 0xFC, 0xFC, 0xFC, 
	0x7C, 0xFC, 0xFC, 0xFC, 0xFC, 0xFC, 0xFC, 0xFC, 0xFC, 0xFC, 0xFC, 0xFC, 0xFC, 0xFC, 0x49, 0x3F, 
	0x76, 0xFC, 0xFC, 0xFC, 0xFC, 0xFC, 0xFC, 0xFC, 0xFC, 0xFC, 0xFC, 0xFC, 0xFC, 0xFC, 0xAC, 0x97, 
	0x3B, 0xFC, 0xFC, 0xFC, 0xFC, 0xFC, 0xFC, 0xFC, 
	0x7C, 0xFC, 0xFC, 0xFC, 0xFC, 0xFC, 0xFC, 0xFC, 0xFC, 0xFC, 0xFC, 0xFC, 0xFC, 0xFC, 0xFC, 0xC3, 
	0xFC, 0xFC, 0xFC, 0xFC, 0xFC, 0xFC, 0xFC, 0xFC, 0xFC, 0xFC, 0xFC, 0xFC, 0xFC, 0xFC, 0xFC, 0xE9, 
	0xD6, 0xFC, 0xFC, 0xFC, 0xFC, 0xFC, 0xFC, 0xFC, 
	0x84, 0x0C, 0x0C, 0x0C, 0x0C, 0x0C, 0x0C, 0x0C, 0x0C, 0x0C, 0x0C, 0x0C, 0x0C, 0x0C, 0x0C, 0x0C, 
	0x0C, 0x0C, 0x0C, 0x0C, 0x0C, 0x0C, 0x0C, 0x0C, 0x0C, 0x0C, 0x0C, 0x0C, 0x0C, 0x0C, 0x0C, 0x0C, 
	0x0C, 0x0C, 0x0C, 0x0C, 0x0C, 0x0C, 0x0C, 0x0C, 
	0x84, 0x0C, 0x0C, 0x0C, 0x0C, 0x0C, 0x0C, 0x0C, 0x0C, 0x0C, 0x0C, 0x0C, 0x0C, 0x0C, 0x0C, 0x0C, 
	0x0C, 0x0C, 0x0C, 0x0C, 0x0C, 0x0C, 0x0C, 0x0C, 0x0C, 0x0C, 0x0C, 0x0C, 0x0C, 0x0C, 0x0C, 0x0C, 
	0x0C, 0x0C, 0x0C, 0x0C, 0x0C, 0x0C, 0x0C, 0x0C, 
	0x84, 0x0C, 0x0C, 0x0C, 0x0C, 0x0C, 0x0C, 0x0C, 0x0C, 0x0C, 0x0C, 0x0C, 0x0C, 0x0C, 0x0C, 0x0C, 
	0x0C, 0x0C, 0x0C, 0x0C, 0x0C, 0x0C, 0x0C, 0x0C, 0x0C, 0x0C, 0x0C, 0x0C, 0x0C, 0x0C, 0x0C, 0x0C, 
	0x0C, 0x0C, 0x0C, 0x0C, 0x0C, 0x0C, 0x0C, 0x0C, 
	0x84, 0x0C, 0x0C, 0x0C, 0x0C, 0x0C, 0x0C, 0x0C, 0x0C, 0x0C, 0x0C, 0x0C, 0x0C, 0x0C, 0x0C, 0x0C, 
	0x0C, 0x0C, 0x0C, 0x0C, 0x0C, 0x0C, 0x0C, 0x0C, 0x0C, 0x0C, 0x0C, 0x0C, 0x0C, 0x0C, 0x0C, 0x0C, 
	0x0C, 0x0C, 0x0C, 0x0C, 0x0C, 0x0C, 0x0C, 0x0C, 
	0x84, 0x0C, 0x0C, 0x0C, 0x0C, 0x0C, 0x0C, 0x0C, 0x0C, 0x0C, 0x0C, 0x0C, 0x0C, 0x0C, 0x0C, 0x0C, 
	0x0C, 0x0C, 0x0C, 0x0C, 0x0C, 0x0C, 0x0C, 0x0C, 0x0C, 0x0C, 0x0C, 0x0C, 0x0C, 0x0C, 0x0C, 0x0C, 
	0x0C, 0x0C, 0x0C, 0x0C, 0x0C, 0x0C, 0x0C, 0x0C, 
	0x84, 0x0C, 0x0C, 0x0C, 0x0C, 0x0C, 0x0C, 0x0C, 0x0C, 0x0C, 0x0C, 0x0C, 0x0C, 0x0C, 0x0C, 0x0C, 
	0x0C, 0x0C, 0x0C, 0x0C, 0x0C, 0x0C, 0x0C, 0x0C, 0x0C, 0x0C, 0x0C, 0x0C, 0x0C, 0x0C, 0x0C, 0x0C, 
	0x0C, 0x0C, 0x0C, 0x0C, 0x0C, 0x0C, 0x0C, 0x0C, 
	0x84, 0x0C, 0x0C, 0x0C, 0x0C, 0x0C, 0x0C, 0x0C, 0x0C, 0x0C, 0x0C, 0x0C, 0x0C, 0x0C, 0x0C, 0x0C, 
	0x0C, 0x0C, 0x0C, 0x0C, 0x0C, 0x0C, 0x0C, 0x0C, 0x0C, 0x0C, 0x0C, 0x0C, 0x0C, 0x0C, 0x0C, 0x0C, 
	0x0C, 0x0C, 0x0C, 0x0C, 0x0C, 0x0C, 0x0C, 0x0C, 
	0x84, 0x0C, 0x0C, 0x0C, 0x0C, 0x0C, 0x0C, 0x0C, 0x0C, 0x0C, 0x0C, 0x0C, 0x0C, 0x0C, 0x0C, 0x0C, 
	0x0C, 0x0C, 0x0C, 0x0C, 0x48, 0x00, 0x04, 0x0C, 0x0C, 0x0C, 0x0C, 0x0C, 0x0C, 0x0C, 0x0C, 0x0C, 
	0x0C, 0x0C, 0x0C, 0x0C, 0x0C, 0x0C, 0x0C, 0x0C, 
	0x84, 0x0C, 0x0C, 0x0C, 0x0C, 0x0C, 0x0C, 0x0C, 0x0C, 0x0C, 0x0C, 0x0C, 0x0C, 0x0C, 0x0C, 0x0C, 
	0x0C, 0x0C, 0x0C, 0x0C, 0x00, 0x00, 0xCC, 0x0C, 0x0C, 0x0C, 0x0C, 0x0C, 0x0C, 0x0C, 0x0C, 0x0C, 
	0x0C, 0x0C, 0x0C, 0x0C, 0x0C, 0x0C, 0x0C, 0x0C, 
	0x84, 0x0C, 0x0C, 0x0C, 0x0C, 0x0C, 0x0C, 0x0C, 0x0C, 0x0C, 0x0C, 0x0C, 0x0C, 0x0C, 0x0C, 0x0C, 
	0x0C, 0x0C, 0x0C, 0x0C, 0x00, 0xCC, 0x8D, 0x0C, 0x0C, 0x0C, 0x0C, 0x0C, 0x0C, 0x0C, 0x0C, 0x0C, 
	0x0C, 0x0C, 0x0C, 0x0C, 0x0C, 0x0C, 0x0C, 0x0C, 
	0x84, 0x0C, 0x0C, 0x0C, 0x0C, 0x0C, 0x0C, 0x0C, 0x0C, 0x0C, 0x0C, 0x0C, 0x0C, 0x0C, 0x0C, 0x0C, 
	0x0C, 0x0C, 0x0C, 0x0C, 0x44, 0xCC, 0x4E, 0x0C, 0x0C, 0x0C, 0x0C, 0x0C, 0x0C, 0x0C, 0x0C, 0x0C, 
	0x0C, 0x0C, 0x0C, 0x0C, 0x0C, 0x0C, 0x0C, 0x0C, 
	0x84, 0x0C, 0x0C, 0x0C, 0x0C, 0x0C, 0x0C, 0x0C, 0x0C, 0x0C, 0x0C, 0x0C, 0x0C, 0x0C, 0x0C, 0x0C, 
	0x0C, 0x0C, 0x0C, 0x0C, 0x00, 0x44, 0x0F, 0x0C, 0x0C, 0x0C, 0x0C, 0x0C, 0x0C, 0x0C, 0x0C, 0x0C, 
	0x0C, 0x0C, 0x0C, 0x0C, 0x0C, 0x0C, 0x0C, 0x0C, 
	0x0C, 0x0C, 0x0C, 0x0C, 0x0C, 0x0C, 0x0C, 0x0C, 0x0C, 0x0C, 0x0C, 0x0C, 0x0C, 0x0C, 0x0C, 0x0C, 
	0x0C, 0x0C, 0x0C, 0x0C, 0x44, 0x44, 0x0F, 0x0C, 0x0C, 0x0C, 0x0C, 0x0C, 0x0C, 0x0C, 0x49, 0x4B, 
	0x0C, 0x0C, 0x0C, 0x0C, 0x0C, 0x0C, 0x0C, 0x0C, 
	0x00, 0x00, 0x0C, 0x08, 0x00, 0x00, 0x0C, 0x48, 0x00, 0x00, 0x0C, 0x0C, 0x00, 0x00, 0x84, 0x0C, 
	0x00, 0x00, 0x84, 0x0C, 0x00, 0x44, 0x0E, 0x0C, 0x80, 0x00, 0x04, 0x0C, 0x80, 0x00, 0x0F, 0x0F, 
	0x0A, 0x00, 0x40, 0x0C, 0x0C, 0x0C, 0x0C, 0x0C, 
	0xFF, 0xFF, 0x04, 0x55, 0xFF, 0xFF, 0x04, 0x41, 0xFF, 0xFF, 0x06, 0x80, 0xD7, 0xFF, 0xC2, 0x08, 
	0xD7, 0xFF, 0x82, 0x08, 0x82, 0x07, 0x0A, 0x08, 0x57, 0xFF, 0xAA, 0x48, 0x41, 0xFF, 0x0F, 0xCC, 
	0x0A, 0xFF, 0xEB, 0x84, 0x0C, 0x0C, 0x0C, 0x0C, 
	0xC3, 0xC3, 0x00, 0x00, 0x00, 0xC3, 0xAA, 0xEB, 0x00, 0x00, 0x00, 0x41, 0xC3, 0x82, 0x00, 0x00, 
	0x41, 0xC3, 0xD7, 0x00, 0x00, 0x00, 0x55, 0x41, 0xC3, 0x82, 0x00, 0x00, 0x14, 0xC3, 0x00, 0x44, 
	0x0A, 0x00, 0x97, 0xAE, 0x0C, 0x0C, 0x0C, 0x0C, 
	0xC3, 0x00, 0xFF, 0xFF, 0xEB, 0x41, 0xAA, 0x41, 0xFF, 0xFF, 0xEB, 0x41, 0xC3, 0x55, 0xFF, 0xFF, 
	0xAA, 0xC3, 0xD7, 0x55, 0xFF, 0xFF, 0xAA, 0x41, 0x82, 0xD7, 0xFF, 0xFF, 0x82, 0x3C, 0x44, 0xCC, 
	0x0A, 0xFF, 0xC3, 0xAE, 0x0C, 0x0C, 0x0C, 0x0C, 
	0x82, 0xD7, 0xC3, 0xC3, 0xC3, 0x82, 0xAA, 0xC3, 0xC3, 0xC3, 0xD7, 0x82, 0x00, 0xEB, 0xC3, 0xC3, 
	0xD7, 0xC3, 0xC3, 0xEB, 0xC3, 0xC3, 0xD7, 0x41, 0x41, 0xEB, 0xC3, 0xC3, 0xC3, 0x41, 0x44, 0xCC, 
	0x0A, 0xC3, 0xEB, 0x84, 0x0C, 0x0C, 0x0C, 0x0C, 
	0x41, 0xC3, 0x3C, 0x3C, 0xC3, 0xD7, 0x82, 0xC3, 0x96, 0xC3, 0x69, 0xEB, 0x41, 0xC3, 0x69, 0xC3, 
	0xC3, 0xEB, 0x41, 0x96, 0x69, 0x96, 0xC3, 0xEA, 0xC3, 0xC3, 0x3C, 0x69, 0xC3, 0xAA, 0xCC, 0x8D, 
	0x0A, 0x69, 0xC3, 0x86, 0x0C, 0x0C, 0x0C, 0x0C, 
	0x41, 0xC3, 0x00, 0x00, 0x00, 0xD7, 0x41, 0xC3, 0x3C, 0x00, 0x00, 0x00, 0x41, 0x96, 0x3C, 0x3C, 
	0x82, 0x00, 0x00, 0x14, 0x3C, 0x3C, 0x69, 0xAA, 0x00, 0x00, 0x14, 0x69, 0xC3, 0xAA, 0x44, 0x0F, 
	0x96, 0x3C, 0xD7, 0xEA, 0xCC, 0xC0, 0xC0, 0xC0, 
	0x41, 0xC3, 0xD7, 0xFF, 0xEB, 0xD7, 0x41, 0x96, 0x28, 0xD7, 0xFF, 0xFF, 0x82, 0xC3, 0x3C, 0x69, 
	0x41, 0x7F, 0xFF, 0x82, 0x96, 0x3C, 0x69, 0xC3, 0xFF, 0xFF, 0xAA, 0x96, 0x69, 0xAA, 0x41, 0xFF, 
	0xFF, 0xBE, 0x7D, 0x6E, 0xCC, 0x88, 0x44, 0xCC, 
	0x00, 0xC3, 0xC3, 0xC3, 0xC3, 0xC3, 0x41, 0x3C, 0xC3, 0xC3, 0xC3, 0xC3, 0xC3, 0x14, 0x3C, 0x82, 
	0xC3, 0xC3, 0xC3, 0xC3, 0xC9, 0x3C, 0x82, 0xC3, 0xC3, 0xC3, 0xC3, 0x9C, 0xC3, 0xAA, 0xC3, 0xC3, 
	0xC3, 0xD7, 0xD7, 0xEE, 0xCC, 0x88, 0x44, 0xCC, 
	0x00, 0xC3, 0x3C, 0x3C, 0x3C, 0xC3, 0x41, 0x28, 0xC3, 0x3C, 0x3C, 0x3C, 0x69, 0x96, 0x69, 0x41, 
	0x96, 0x3C, 0x3C, 0x69, 0xC3, 0x69, 0x41, 0x96, 0x3C, 0x3C, 0x69, 0xC3, 0xC3, 0xC3, 0x96, 0x3C, 
	0x3C, 0x69, 0xD7, 0xC6, 0xCC, 0x88, 0x44, 0xCC, 
	0x41, 0x96, 0x3C, 0x3C, 0x3C, 0xD7, 0x00, 0x44, 0x96, 0x3C, 0x3C, 0x3C, 0x3C, 0xAA, 0xC3, 0x41, 
	0x3C, 0x3C, 0x3C, 0x3C, 0xEB, 0x41, 0x41, 0x3C, 0x3C, 0x3C, 0x3C, 0xEB, 0x41, 0x41, 0x3C, 0x3C, 
	0x3C, 0x3C, 0xFF, 0xC6, 0xCC, 0x88, 0x44, 0xCC, 
	0x41, 0x3C, 0x3C, 0x3C, 0x3C, 0x69, 0x82, 0x41, 0x3C, 0x3C, 0x3C, 0x3C, 0x3C, 0xEB, 0xC3, 0xC3, 
	0x3C, 0x3C, 0x3C, 0x3C, 0xC3, 0xC3, 0xC3, 0x3C, 0x3C, 0x3C, 0x3C, 0xC3, 0xC3, 0x41, 0x3C, 0x3C, 
	0x3C, 0x3C, 0xC3, 0xC6, 0xCC, 0x88, 0x44, 0xCC, 
	0x96, 0x3C, 0x3C, 0x3C, 0x00, 0x00, 0x82, 0xC3, 0x3C, 0x3C, 0x3C, 0x3C, 0x3C, 0xC3, 0x82, 0x3C, 
	0x3C, 0x3C, 0x3C, 0x3C, 0x7D, 0x82, 0x96, 0x3C, 0x3C, 0x3C, 0x3C, 0x7D, 0x82, 0x96, 0x3C, 0x3C, 
	0x3C, 0x3C, 0x69, 0xEE, 0xCC, 0x88, 0x44, 0xCC, 
	0x96, 0x3C, 0x3C, 0xC1, 0xC3, 0xC3, 0xC3, 0x96, 0x3C, 0x3C, 0x3C, 0x3C, 0x69, 0xC3, 0xC3, 0xC3, 
	0x3C, 0x3C, 0x3C, 0x3C, 0x69, 0xC3, 0xC3, 0xC3, 0x3C, 0x3C, 0x3C, 0x7D, 0x82, 0xC3, 0xC3, 0xC3, 
	0xC3, 0x3C, 0x69, 0x6E, 0xCC, 0x88, 0xCC, 0xCC, 
	0x96, 0x3C, 0x69, 0xD7, 0xFF, 0xFF, 0xFF, 0xC3, 0xC3, 0xC3, 0xC3, 0xC3, 0xD7, 0xFF, 0xFF, 0xFF, 
	0xC3, 0xC3, 0xC3, 0xC3, 0xC3, 0xD7, 0xFF, 0xFF, 0xC3, 0xC3, 0xC3, 0xC3, 0xC3, 0xD7, 0xFF, 0xFF, 
	0xFF, 0xC3, 0xC3, 0xEE, 0xCC, 0x44, 0xCC, 0xCC, 
	0x14, 0x3C, 0x55, 0xEB, 0xC3, 0xC3, 0xC3, 0xFF, 0xEB, 0xC3, 0xC3, 0xD7, 0xEB, 0xC3, 0xC3, 0xC3, 
	0xFF, 0xC3, 0xC3, 0xC3, 0xFF, 0xC3, 0xC3, 0xC3, 0xD7, 0xEB, 0xC3, 0x82, 0xD7, 0xEB, 0xC3, 0xC3, 
	0xC3, 0xFF, 0xC3, 0xC6, 0xCC, 0x00, 0xCC, 0xCC, 
	0x41, 0x88, 0xC3, 0x69, 0x3C, 0x96, 0x96, 0x69, 0xFF, 0xC3, 0x41, 0x96, 0x69, 0x69, 0x3C, 0x96, 
	0xD7, 0xEB, 0xC3, 0x55, 0x96, 0x69, 0x69, 0x69, 0x69, 0xFF, 0xC3, 0x41, 0xC3, 0x69, 0x69, 0x3C, 
	0x96, 0xD7, 0xEB, 0x44, 0xCC, 0x00, 0x00, 0x00, 
	0xEB, 0x41, 0x96, 0x96, 0xC3, 0x69, 0x69, 0x3C, 0xD7, 0xAA, 0xC3, 0x3C, 0x96, 0x96, 0xC3, 0x69, 
	0x3C, 0xFF, 0x82, 0xC3, 0x69, 0x3C, 0x96, 0x96, 0x96, 0xD7, 0xAA, 0xC3, 0x3C, 0x96, 0x96, 0x69, 
	0x69, 0x3C, 0xFF, 0xEE, 0xCC, 0x44, 0xCC, 0xCC, 
	0xEB, 0x41, 0x69, 0x3C, 0x3C, 0x3C, 0x3C, 0x96, 0x69, 0xAA, 0x96, 0xC3, 0x3C, 0x3C, 0x3C, 0x3C, 
	0x96, 0xD7, 0x82, 0x96, 0x96, 0x3C, 0x3C, 0x3C, 0x3C, 0x96, 0xAA, 0x96, 0x69, 0x3C, 0x3C, 0x3C, 
	0x3C, 0x96, 0x69, 0x6E, 0xCC, 0x44, 0xCC, 0xCC, 
	0xEB, 0x41, 0x96, 0x3C, 0x3C, 0x3C, 0x3C, 0x69, 0xC3, 0xAA, 0xC3, 0x96, 0x3C, 0x3C, 0x3C, 0x3C, 
	0x69, 0xD7, 0x82, 0xC3, 0x3C, 0x3C, 0x3C, 0x3C, 0x3C, 0x69, 0xAA, 0xC3, 0x96, 0x3C, 0x3C, 0x3C, 
	0x3C, 0x69, 0xD7, 0x6E, 0xCC, 0x44, 0xCC, 0xCC, 
	0xEB, 0x41, 0x3C, 0x3C, 0x3C, 0x3C, 0x3C, 0x3C, 0x69, 0xAA, 0x96, 0x3C, 0x3C, 0x3C, 0x3C, 0x3C, 
	0x3C, 0xD7, 0x82, 0x96, 0x3C, 0x3C, 0x3C, 0x3C, 0x3C, 0x3C, 0xAA, 0x96, 0x3C, 0x3C, 0x3C, 0x3C, 
	0x3C, 0x3C, 0xD7, 0x6E, 0xCC, 0x44, 0xCC, 0xCC};


const unsigned char spr_chicago30_crowd_right[1600] = { 
	0x0C, 0x0C, 0x0C, 0x0C, 0x0C, 0x0C, 0x0C, 0x0C, 0x0C, 0x0C, 0x0C, 0x0C, 0x0C, 0x0C, 0x0C, 0x0C, 
	0x0C, 0x0C, 0x0C, 0x0C, 0x0C, 0x0C, 0x0C, 0x0C, 0x0C, 0x0C, 0x0C, 0x0C, 0x0C, 0x0C, 0x0C, 0x0C, 
	0x0C, 0x0C, 0x0C, 0x0C, 0x0C, 0x0C, 0x0C, 0x0C, 
	0xFC, 0xFC, 0xFC, 0xFC, 0xFC, 0xFC, 0xFC, 0xFC, 0xFC, 0xFC, 0xFC, 0xFC, 0xFC, 0xFC, 0xFC, 0xFC, 
	0xFC, 0xFC, 0xFC, 0xFC, 0xFC, 0xFC, 0xFC, 0xFC, 0xFC, 0xFC, 0xFC, 0xFC, 0xFC, 0xFC, 0xFC, 0xFC, 
	0xFC, 0xFC, 0xFC, 0xFC, 0xFC, 0xFC, 0xFC, 0xFC, 
	0xFC, 0xFC, 0xFC, 0xFC, 0xFC, 0xFC, 0xFC, 0xAC, 0xB9, 0xFC, 0xFC, 0xFC, 0xFC, 0xFC, 0xFC, 0xFC, 
	0xFC, 0xFC, 0xFC, 0xFC, 0xFC, 0xFC, 0xFC, 0xFC, 0x5C, 0xFC, 0xFC, 0xFC, 0xFC, 0xFC, 0xFC, 0xFC, 
	0xFC, 0xFC, 0xFC, 0xFC, 0xFC, 0xFC, 0xFC, 0xFC, 
	0xFC, 0xFC, 0xFC, 0xFC, 0xFC, 0xFC, 0xFC, 0x5C, 0xFF, 0x76, 0xFC, 0xFC, 0xFC, 0xFC, 0xFC, 0xFC, 
	0xFC, 0xFC, 0xFC, 0xFC, 0xFC, 0xFC, 0xFC, 0xAC, 0xFF, 0x33, 0xFC, 0xFC, 0xFC, 0xFC, 0xFC, 0xFC, 
	0xFC, 0xFC, 0xFC, 0xFC, 0xFC, 0xFC, 0xFC, 0xFC, 
	0xFC, 0xFC, 0xFC, 0xFC, 0xFC, 0xFC, 0xFC, 0x49, 0x3F, 0x76, 0xFC, 0xFC, 0xFC, 0xFC, 0xFC, 0xFC, 
	0xFC, 0xFC, 0xFC, 0xFC, 0xFC, 0xFC, 0xFC, 0xAC, 0x3F, 0x3B, 0xFC, 0xFC, 0xFC, 0xFC, 0xFC, 0xFC, 
	0xFC, 0xFC, 0xFC, 0xFC, 0xFC, 0xFC, 0xFC, 0xFC, 
	0xFC, 0xFC, 0xFC, 0xFC, 0xFC, 0xFC, 0xFC, 0xE9, 0xC3, 0xFC, 0xFC, 0xFC, 0xFC, 0xFC, 0xFC, 0xFC, 
	0xFC, 0xFC, 0xFC, 0xFC, 0xFC, 0xFC, 0xFC, 0xFC, 0xC3, 0xFC, 0xFC, 0xFC, 0xFC, 0xFC, 0xFC, 0xFC, 
	0xFC, 0xFC, 0xFC, 0xFC, 0xFC, 0xFC, 0xFC, 0xFC, 
	0x0C, 0x0C, 0x0C, 0x0C, 0x0C, 0x0C, 0x0C, 0x0C, 0x0C, 0x0C, 0x0C, 0x0C, 0x0C, 0x0C, 0x0C, 0x0C, 
	0x0C, 0x0C, 0x0C, 0x0C, 0x0C, 0x0C, 0x0C, 0x0C, 0x0C, 0x0C, 0x0C, 0x0C, 0x0C, 0x0C, 0x0C, 0x0C, 
	0x0C, 0x0C, 0x0C, 0x0C, 0x0C, 0x0C, 0x0C, 0x0C, 
	0x0C, 0x0C, 0x0C, 0x0C, 0x0C, 0x0C, 0x0C, 0x0C, 0x0C, 0x0C, 0x0C, 0x0C, 0x0C, 0x0C, 0x0C, 0x0C, 
	0x0C, 0x0C, 0x0C, 0x0C, 0x0C, 0x0C, 0x0C, 0x0C, 0x0C, 0x0C, 0x0C, 0x0C, 0x0C, 0x0C, 0x0C, 0x0C, 
	0x0C, 0x0C, 0x0C, 0x0C, 0x0C, 0x0C, 0x0C, 0x0C, 
	0x0C, 0x0C, 0x0C, 0x0C, 0x0C, 0x0C, 0x0C, 0x0C, 0x0C, 0x0C, 0x0C, 0x0C, 0x0C, 0x0C, 0x0C, 0x0C, 
	0x0C, 0x0C, 0x0C, 0x0C, 0x0C, 0x0C, 0x0C, 0x0C, 0x0C, 0x0C, 0x0C, 0x0C, 0x0C, 0x0C, 0x0C, 0x0C, 
	0x0C, 0x0C, 0x0C, 0x0C, 0x0C, 0x0C, 0x0C, 0x0C, 
	0x0C, 0x0C, 0x0C, 0x0C, 0x0C, 0x0C, 0x0C, 0x0C, 0x0C, 0x0C, 0x0C, 0x0C, 0x0C, 0x0C, 0x0C, 0x0C, 
	0x0C, 0x0C, 0x0C, 0x0C, 0x0C, 0x0C, 0x0C, 0x0C, 0x0C, 0x0C, 0x0C, 0x0C, 0x0C, 0x0C, 0x0C, 0x0C, 
	0x0C, 0x0C, 0x0C, 0x0C, 0x0C, 0x0C, 0x0C, 0x0C, 
	0x0C, 0x0C, 0x0C, 0x0C, 0x0C, 0x0C, 0x0C, 0x0C, 0x0C, 0x0C, 0x0C, 0x0C, 0x0C, 0x0C, 0x0C, 0x0C, 
	0x0C, 0x0C, 0x0C, 0x0C, 0x0C, 0x0C, 0x0C, 0x0C, 0x0C, 0x0C, 0x0C, 0x0C, 0x0C, 0x0C, 0x0C, 0x0C, 
	0x0C, 0x0C, 0x0C, 0x0C, 0x0C, 0x0C, 0x0C, 0x0C, 
	0x0C, 0x0C, 0x0C, 0x0C, 0x0C, 0x0C, 0x0C, 0x0C, 0x0C, 0x0C, 0x0C, 0x0C, 0x0C, 0x0C, 0x0C, 0x0C, 
	0x0C, 0x0C, 0x0C, 0x0C, 0x0C, 0x0C, 0x0C, 0x0C, 0x0C, 0x0C, 0x0C, 0x0C, 0x0C, 0x0C, 0x0C, 0x0C, 
	0x0C, 0x0C, 0x0C, 0x0C, 0x0C, 0x0C, 0x0C, 0x0C, 
	0x0C, 0x0C, 0x0C, 0x0C, 0x0C, 0x0C, 0x0C, 0x0C, 0x0C, 0x0C, 0x0C, 0x0C, 0x0C, 0x0C, 0x0C, 0x0C, 
	0x0C, 0x0C, 0x0C, 0x0C, 0x0C, 0x0C, 0x0C, 0x0C, 0x0C, 0x0C, 0x0C, 0x0C, 0x0C, 0x0C, 0x0C, 0x0C, 
	0x0C, 0x0C, 0x0C, 0x0C, 0x0C, 0x0C, 0x0C, 0x0C, 
	0x0C, 0x0C, 0x0C, 0x0C, 0x0C, 0x0C, 0x0C, 0x0C, 0x0C, 0x0C, 0x0C, 0x49, 0xA7, 0x0C, 0x0C, 0x0C, 
	0x0C, 0x0C, 0x0C, 0x0C, 0x0C, 0x0C, 0x0C, 0x0C, 0x0C, 0x0C, 0x0C, 0x0C, 0x0C, 0x0C, 0x0C, 0x0C, 
	0x0C, 0x0C, 0x0C, 0x0C, 0x0C, 0x0C, 0x0C, 0x0C, 
	0x0C, 0x0C, 0x0C, 0x0C, 0x0C, 0x0C, 0x0C, 0x0C, 0x0C, 0x0C, 0x0C, 0xD3, 0xF3, 0x0E, 0x0C, 0x0C, 
	0x0C, 0x0C, 0x0C, 0x0C, 0x0C, 0x0C, 0x0C, 0x0C, 0x0C, 0x0C, 0x0C, 0x0C, 0x0C, 0x0C, 0x0C, 0x0C, 
	0x0C, 0x0C, 0x0C, 0x0C, 0x0C, 0x0C, 0x0C, 0x0C, 
	0x0C, 0x0C, 0x0C, 0x0C, 0x0C, 0x0C, 0x0C, 0x0C, 0x0C, 0x0C, 0x0C, 0x87, 0xA7, 0xA6, 0x0C, 0x0C, 
	0x0C, 0x0C, 0x0C, 0x0C, 0x0C, 0x0C, 0x0C, 0x0C, 0x0C, 0x0C, 0x0C, 0x0C, 0x0C, 0x0C, 0x0C, 0x0C, 
	0x0C, 0x0C, 0x0C, 0x0C, 0x0C, 0x0C, 0x0C, 0x0C, 
	0x0C, 0x0C, 0x0C, 0x0C, 0x0C, 0x0C, 0x0C, 0x0C, 0x0C, 0x0C, 0x0C, 0x87, 0xF3, 0x0E, 0x0C, 0x0C, 
	0x0C, 0x0C, 0x0C, 0x0C, 0x0C, 0x0C, 0x0C, 0x0C, 0x0C, 0x0C, 0x0C, 0x0C, 0x0C, 0x0C, 0x0C, 0x0C, 
	0x0C, 0x0C, 0x0C, 0x0C, 0x0C, 0x0C, 0x0C, 0x0C, 
	0x0C, 0x0C, 0x0C, 0x0C, 0x0C, 0x0C, 0x0C, 0x0C, 0x0C, 0x0C, 0x0C, 0x87, 0xF3, 0x0E, 0x0C, 0x0C, 
	0x0C, 0x0C, 0x0C, 0x0C, 0x0C, 0x0C, 0x0C, 0x0C, 0x0C, 0x0C, 0x0C, 0x0C, 0x0C, 0x0C, 0x0C, 0x0C, 
	0x0C, 0x0C, 0x0C, 0x0C, 0x0C, 0x0C, 0x0C, 0x0C, 
	0x0C, 0x0C, 0x0C, 0x0C, 0x0C, 0x0C, 0x0C, 0x0C, 0x0C, 0x0C, 0x0C, 0x87, 0xF3, 0xA6, 0x0C, 0x0C, 
	0x0C, 0x0C, 0x0C, 0x0C, 0x0C, 0x0C, 0x0C, 0x0C, 0x0C, 0x0C, 0x0C, 0x0C, 0x0C, 0x0C, 0x0C, 0x0C, 
	0x0C, 0x0C, 0x0C, 0x0C, 0x0C, 0x0C, 0x0C, 0x0C, 
	0x0C, 0x0C, 0x0C, 0x0C, 0x0C, 0x80, 0x00, 0x40, 0x0C, 0x08, 0x00, 0x01, 0xF3, 0x0A, 0x00, 0x00, 
	0x0C, 0x08, 0x00, 0x00, 0x0C, 0x48, 0x00, 0x00, 0x0C, 0x0C, 0x00, 0x00, 0x84, 0x0C, 0x00, 0x00, 
	0x84, 0x0C, 0x00, 0x00, 0x04, 0x0C, 0x80, 0x00, 
	0x0C, 0x0C, 0x0C, 0x0C, 0x48, 0xD7, 0xFF, 0xEB, 0xC0, 0x55, 0xFF, 0xBF, 0x25, 0xFF, 0xFF, 0xEB, 
	0x04, 0x55, 0xFF, 0xEB, 0x04, 0xC1, 0xFF, 0xEB, 0x40, 0xC1, 0xFF, 0xEB, 0x40, 0x08, 0xFF, 0xFF, 
	0x2A, 0x08, 0xFF, 0xFF, 0xAA, 0x08, 0xD7, 0xFF, 
	0x0C, 0x0C, 0x0C, 0x0C, 0x5C, 0xEB, 0x00, 0x00, 0x41, 0xEB, 0xC3, 0x64, 0x00, 0x00, 0x41, 0xC3, 
	0x82, 0xEB, 0x00, 0x00, 0x00, 0xD7, 0xC3, 0x82, 0x00, 0x00, 0x41, 0xC3, 0xC3, 0x00, 0x00, 0x00, 
	0xD7, 0x55, 0xC3, 0x82, 0x00, 0x00, 0xC3, 0xC3, 
	0x0C, 0x0C, 0x0C, 0x0C, 0x5D, 0x82, 0xFF, 0xFF, 0xEB, 0x41, 0x3C, 0x41, 0xFF, 0xFF, 0xEB, 0x41, 
	0x82, 0x41, 0xFF, 0xFF, 0xAA, 0xD7, 0xC3, 0x55, 0xFF, 0xFF, 0xAA, 0xC3, 0xC3, 0x55, 0xFF, 0xFF, 
	0x82, 0x55, 0x82, 0xD7, 0xFF, 0xFF, 0x82, 0xC3, 
	0x0C, 0x0C, 0x0C, 0x0C, 0x48, 0xD7, 0xC3, 0xC3, 0xC3, 0xAA, 0x82, 0xD7, 0xC3, 0xC3, 0xD7, 0x82, 
	0x82, 0xEB, 0xC3, 0xC3, 0xD7, 0xC3, 0x82, 0xEB, 0xC3, 0xC3, 0xD7, 0x00, 0x41, 0xEB, 0xC3, 0xC3, 
	0xD7, 0x55, 0x41, 0xEB, 0xC3, 0xC3, 0xEB, 0x41, 
	0x0C, 0x0C, 0x0C, 0x0C, 0x5C, 0xC3, 0x96, 0x96, 0x69, 0xC3, 0x41, 0xC3, 0x96, 0x3C, 0xC3, 0xC3, 
	0x55, 0xC3, 0x96, 0x96, 0x69, 0x82, 0xD7, 0xC3, 0xC3, 0x96, 0xC3, 0x82, 0xD7, 0x96, 0xC3, 0x69, 
	0xC3, 0x00, 0xC3, 0xC3, 0x3C, 0x3C, 0xC3, 0x82, 
	0xC0, 0xC0, 0xC0, 0xC0, 0xC1, 0xEB, 0x3C, 0x3C, 0x3C, 0xC3, 0x55, 0xC3, 0x96, 0x28, 0x00, 0x00, 
	0x55, 0x96, 0x3C, 0x3C, 0x28, 0x00, 0x00, 0x41, 0x3C, 0x3C, 0x69, 0x82, 0x00, 0x00, 0x00, 0x3C, 
	0xC3, 0x82, 0xEB, 0x82, 0x00, 0x00, 0xC3, 0x82, 
	0x44, 0x88, 0x00, 0x44, 0xC9, 0xEB, 0x7D, 0xFF, 0xFF, 0xAA, 0x55, 0xC3, 0x69, 0x41, 0xFF, 0xFF, 
	0xC3, 0x96, 0x3C, 0x69, 0x41, 0xFF, 0xFF, 0x2A, 0x96, 0x3C, 0xC3, 0x41, 0xFF, 0xFF, 0xFF, 0x3C, 
	0x3C, 0x82, 0xEB, 0xD7, 0xFF, 0xFF, 0xC3, 0x82, 
	0x44, 0xCC, 0x00, 0xCC, 0xC9, 0xEB, 0xEB, 0xC3, 0xC3, 0xC3, 0x55, 0xC3, 0x82, 0xC3, 0xC3, 0xC3, 
	0xC3, 0xC9, 0x3C, 0x82, 0xC3, 0xC3, 0xC3, 0xC3, 0xC3, 0x3C, 0x28, 0xC3, 0xC3, 0xC3, 0xC3, 0xC3, 
	0x3C, 0x82, 0xC3, 0xC3, 0xC3, 0xC3, 0xC3, 0x00, 
	0x44, 0xCC, 0x88, 0xCC, 0xC9, 0xD7, 0x96, 0x3C, 0x3C, 0x69, 0xC3, 0xC3, 0xC3, 0x96, 0x3C, 0x3C, 
	0x69, 0x82, 0xC3, 0xC3, 0x96, 0x3C, 0x3C, 0x69, 0x82, 0x96, 0x41, 0xC3, 0x3C, 0x3C, 0x3C, 0xC3, 
	0x14, 0x82, 0xC3, 0x96, 0x3C, 0x3C, 0xC3, 0x00, 
	0x44, 0xCC, 0x88, 0x00, 0x44, 0xD7, 0x3C, 0x3C, 0x3C, 0x3C, 0x82, 0x82, 0xD7, 0x3C, 0x3C, 0x3C, 
	0x3C, 0x82, 0xC3, 0x55, 0x3C, 0x3C, 0x3C, 0x3C, 0x82, 0x41, 0x55, 0x3C, 0x3C, 0x3C, 0x3C, 0x69, 
	0x82, 0x00, 0xEB, 0x3C, 0x3C, 0x3C, 0x3C, 0x82, 
	0x44, 0xCC, 0x88, 0x00, 0x41, 0xC3, 0x3C, 0x3C, 0x3C, 0x3C, 0x3C, 0x41, 0xC3, 0x3C, 0x3C, 0x3C, 
	0x3C, 0xC3, 0x41, 0xC3, 0x3C, 0x3C, 0x3C, 0x3C, 0x69, 0x41, 0xD7, 0x3C, 0x3C, 0x3C, 0x3C, 0x3C, 
	0x82, 0x41, 0x96, 0x3C, 0x3C, 0x3C, 0x3C, 0x82, 
	0x44, 0xCC, 0x88, 0xCC, 0xC9, 0xBE, 0x3C, 0x3C, 0x3C, 0x3C, 0x69, 0x41, 0xBE, 0x3C, 0x3C, 0x3C, 
	0x3C, 0x69, 0x41, 0xBE, 0x3C, 0x3C, 0x3C, 0x3C, 0x3C, 0x00, 0xC3, 0x3C, 0x3C, 0x3C, 0x3C, 0x3C, 
	0x69, 0x41, 0x28, 0x00, 0x3C, 0x3C, 0x3C, 0x69, 
	0x44, 0xCC, 0x88, 0xCC, 0xC9, 0xBE, 0x28, 0xC3, 0xC3, 0xC3, 0xC3, 0x41, 0xBE, 0x3C, 0x3C, 0x94, 
	0xC3, 0xC3, 0xC3, 0x96, 0x3C, 0x3C, 0x3C, 0x3C, 0xC3, 0xC3, 0xC3, 0x96, 0x3C, 0x3C, 0x3C, 0x3C, 
	0x69, 0xC3, 0xC3, 0xC3, 0x96, 0x94, 0x3C, 0x69, 
	0x44, 0xCC, 0x88, 0xCC, 0xC9, 0xEB, 0xC3, 0xFF, 0xFF, 0xFF, 0xEB, 0xC3, 0xC3, 0xC3, 0xC3, 0xC3, 
	0xFF, 0xFF, 0xEB, 0xC3, 0xC3, 0xC3, 0xC3, 0xC3, 0xFF, 0xFF, 0xFF, 0xEB, 0xC3, 0xC3, 0xC3, 0xC3, 
	0xC3, 0xFF, 0xFF, 0xFF, 0xEB, 0x96, 0x3C, 0x69, 
	0x44, 0xCC, 0xCC, 0x44, 0xC9, 0xC3, 0xFF, 0xC3, 0xC3, 0xC3, 0xD7, 0xEB, 0x41, 0xC3, 0x41, 0xFF, 
	0xC3, 0xC3, 0xC3, 0xFF, 0xC3, 0xC3, 0xC3, 0xFF, 0xC3, 0xC3, 0xC3, 0xD7, 0xEB, 0xC3, 0xC3, 0x41, 
	0xFF, 0xC3, 0xC3, 0xC3, 0xD7, 0xEB, 0x14, 0x69, 
	0x44, 0xCC, 0xCC, 0x44, 0x88, 0xD7, 0xEB, 0x69, 0x3C, 0x96, 0x96, 0x69, 0x82, 0x82, 0xFF, 0x96, 
	0x96, 0x96, 0xC3, 0x69, 0xEE, 0xC3, 0xD7, 0xEB, 0x69, 0x96, 0x96, 0x96, 0x69, 0xAA, 0x82, 0xFF, 
	0xEB, 0x69, 0x69, 0x3C, 0x96, 0xC3, 0x88, 0x82, 
	0x44, 0xCC, 0xCC, 0x44, 0xC9, 0xFF, 0x96, 0x96, 0x69, 0x69, 0x69, 0x3C, 0xC3, 0x55, 0xEB, 0x69, 
	0x69, 0x69, 0x3C, 0x96, 0xC3, 0x41, 0xFF, 0x96, 0x96, 0x69, 0x69, 0x69, 0x3C, 0xC3, 0x55, 0xEB, 
	0x3C, 0x96, 0x96, 0x69, 0x69, 0x69, 0xC3, 0xD7, 
	0x44, 0xCC, 0xCC, 0x44, 0xC9, 0xEB, 0x69, 0x3C, 0x3C, 0x3C, 0x3C, 0xC3, 0x69, 0x55, 0x69, 0x96, 
	0x3C, 0x3C, 0x3C, 0x69, 0x69, 0x41, 0xEB, 0x69, 0x3C, 0x3C, 0x3C, 0x3C, 0xC3, 0x69, 0x55, 0x96, 
	0x69, 0x3C, 0x3C, 0x3C, 0x3C, 0x96, 0xC3, 0xD7, 
	0x44, 0xCC, 0xCC, 0x44, 0xC9, 0xEB, 0x96, 0x3C, 0x3C, 0x3C, 0x3C, 0x3C, 0xC3, 0x55, 0x96, 0x3C, 
	0x3C, 0x3C, 0x3C, 0x3C, 0xC3, 0x41, 0xEB, 0x96, 0x3C, 0x3C, 0x3C, 0x3C, 0x3C, 0xC3, 0x55, 0xC3, 
	0x96, 0x3C, 0x3C, 0x3C, 0x3C, 0x69, 0xC3, 0xD7, 
	0x44, 0xCC, 0xCC, 0x88, 0xC9, 0xEB, 0x3C, 0x3C, 0x3C, 0x3C, 0x3C, 0x3C, 0x69, 0x55, 0x96, 0x3C, 
	0x3C, 0x3C, 0x3C, 0x3C, 0x69, 0x41, 0xEB, 0x3C, 0x3C, 0x3C, 0x3C, 0x3C, 0x3C, 0x69, 0x55, 0x96, 
	0x3C, 0x3C, 0x3C, 0x3C, 0x3C, 0x3C, 0xC3, 0xD7};

const unsigned char spr_chicago30_curtain[1749] = { 
	0xCC, 0xCC, 0x30, 0x98, 0x30, 0x30, 0x64, 0xCC, 0xCC, 0x30, 0x64, 
	0xCC, 0xCC, 0x30, 0x98, 0x30, 0x30, 0x64, 0xCC, 0xCC, 0x30, 0x64, 
	0xCC, 0xCC, 0x30, 0x30, 0x30, 0x30, 0x64, 0xCC, 0xCC, 0x30, 0x64, 
	0xCC, 0xCC, 0x30, 0x30, 0x30, 0x30, 0x30, 0xCC, 0xCC, 0x30, 0x64, 
	0xCC, 0xCC, 0x30, 0x30, 0x30, 0x30, 0x30, 0xCC, 0x98, 0x30, 0x64, 
	0xCC, 0x98, 0x30, 0x30, 0x30, 0x30, 0x30, 0xCC, 0x98, 0x30, 0x64, 
	0xCC, 0x98, 0x30, 0x30, 0x30, 0x30, 0x30, 0xCC, 0x98, 0x30, 0x64, 
	0xCC, 0x98, 0x30, 0x30, 0x30, 0x30, 0x30, 0xCC, 0x98, 0x30, 0x64, 
	0xCC, 0x98, 0x30, 0x30, 0x30, 0x30, 0x30, 0x64, 0x98, 0x30, 0x64, 
	0xCC, 0x98, 0x30, 0x30, 0x30, 0x30, 0x30, 0x64, 0x98, 0x30, 0x64, 
	0xCC, 0x98, 0x30, 0x30, 0x30, 0x30, 0x30, 0x64, 0x98, 0x30, 0x64, 
	0xCC, 0x30, 0x30, 0x30, 0x30, 0x30, 0x30, 0x64, 0x98, 0x30, 0x64, 
	0x98, 0x30, 0x30, 0x30, 0x30, 0x30, 0x30, 0x64, 0x98, 0x30, 0x64, 
	0x98, 0x30, 0x30, 0x30, 0x30, 0x30, 0x30, 0x64, 0x98, 0x30, 0x64, 
	0x98, 0x30, 0x30, 0x30, 0x30, 0x30, 0x30, 0x64, 0x98, 0x30, 0x64, 
	0x98, 0x30, 0x30, 0x30, 0x30, 0x30, 0x30, 0x64, 0x98, 0x30, 0x64, 
	0x98, 0x30, 0x30, 0x30, 0x30, 0x30, 0x30, 0x30, 0x98, 0x30, 0x64, 
	0x98, 0x30, 0x30, 0x30, 0x30, 0x30, 0x30, 0x30, 0x30, 0x30, 0x64, 
	0x98, 0x30, 0x30, 0x30, 0x30, 0x30, 0x30, 0x64, 0x98, 0x30, 0x64, 
	0x98, 0x30, 0x30, 0x30, 0x30, 0x30, 0x30, 0x64, 0x98, 0x30, 0x64, 
	0x98, 0x30, 0x30, 0x30, 0x30, 0x30, 0x30, 0x30, 0x30, 0x30, 0x64, 
	0x98, 0x30, 0x30, 0x30, 0x30, 0x30, 0x30, 0x30, 0x30, 0x30, 0x64, 
	0x98, 0x30, 0x30, 0x30, 0x30, 0x30, 0x30, 0x64, 0x98, 0x30, 0x64, 
	0x10, 0x30, 0x30, 0x30, 0x30, 0x30, 0x30, 0x30, 0x30, 0x30, 0x64, 
	0x98, 0x30, 0x30, 0x30, 0x30, 0x30, 0x30, 0x30, 0x30, 0x30, 0x64, 
	0x98, 0x30, 0x30, 0x30, 0x30, 0x30, 0x30, 0x30, 0x30, 0x30, 0x64, 
	0x98, 0x30, 0x30, 0x30, 0xCC, 0x30, 0x30, 0x30, 0x30, 0x30, 0x64, 
	0x98, 0x30, 0x30, 0x30, 0x30, 0x30, 0x30, 0x30, 0x30, 0x30, 0x64, 
	0x98, 0x30, 0x30, 0x30, 0x30, 0x30, 0x30, 0x30, 0x30, 0x30, 0x64, 
	0x98, 0x30, 0x30, 0x30, 0x64, 0x30, 0x30, 0x30, 0x30, 0x30, 0x64, 
	0x98, 0x30, 0x30, 0x30, 0x30, 0x30, 0x30, 0x30, 0x30, 0x30, 0x64, 
	0x98, 0x30, 0x30, 0x30, 0x30, 0x30, 0x30, 0x30, 0x30, 0x30, 0x64, 
	0x98, 0x30, 0x30, 0x30, 0xCC, 0x30, 0x30, 0x30, 0x30, 0x30, 0x88, 
	0x98, 0x30, 0x30, 0x30, 0x30, 0x30, 0x30, 0x30, 0x30, 0x30, 0x88, 
	0x98, 0x30, 0x30, 0x30, 0x30, 0x30, 0x30, 0x30, 0x30, 0x30, 0x88, 
	0x98, 0x30, 0x30, 0x64, 0x30, 0x30, 0x30, 0x30, 0x30, 0x30, 0x88, 
	0x98, 0x30, 0x30, 0x64, 0x30, 0x30, 0x30, 0x30, 0x30, 0x30, 0x88, 
	0x98, 0x30, 0x30, 0x64, 0x30, 0x30, 0x30, 0x30, 0x30, 0x30, 0x88, 
	0x98, 0x30, 0x30, 0x64, 0x30, 0x30, 0x30, 0x30, 0x98, 0x30, 0x88, 
	0x98, 0x30, 0x30, 0x64, 0x30, 0x30, 0x30, 0x30, 0x30, 0x30, 0x88, 
	0x98, 0x30, 0x30, 0x64, 0x30, 0x30, 0x30, 0x64, 0x98, 0x30, 0x88, 
	0x98, 0x30, 0x30, 0x64, 0x30, 0x30, 0x30, 0x64, 0x98, 0x30, 0x88, 
	0x10, 0x30, 0x30, 0x98, 0x30, 0x30, 0x30, 0x30, 0x30, 0x30, 0x88, 
	0x98, 0x30, 0x30, 0x98, 0x30, 0x30, 0x30, 0x64, 0x98, 0x30, 0x88, 
	0x98, 0x30, 0x30, 0x98, 0x30, 0x30, 0x30, 0x64, 0x98, 0x30, 0x88, 
	0xCC, 0x98, 0x30, 0x98, 0x30, 0x30, 0x30, 0x64, 0x98, 0x30, 0x88, 
	0xCC, 0x98, 0x64, 0x98, 0x30, 0x30, 0x30, 0x64, 0x98, 0x30, 0x88, 
	0xCC, 0x98, 0x64, 0x98, 0x30, 0x30, 0x30, 0x64, 0x98, 0x30, 0x88, 
	0xCC, 0x98, 0x64, 0x98, 0x30, 0x30, 0x30, 0x64, 0x98, 0x30, 0x88, 
	0xCC, 0x98, 0xCC, 0x98, 0x30, 0x30, 0x30, 0x64, 0x98, 0x30, 0x88, 
	0xCC, 0xCC, 0xCC, 0x98, 0x30, 0x30, 0x30, 0x64, 0x98, 0x30, 0x88, 
	0xCC, 0xCC, 0xCC, 0x98, 0x30, 0x30, 0x30, 0x64, 0x98, 0x64, 0x88, 
	0xCC, 0xCC, 0xCC, 0x30, 0x30, 0x30, 0x30, 0x64, 0x98, 0x64, 0x88, 
	0xCC, 0xCC, 0xCC, 0x30, 0x30, 0x30, 0x30, 0x30, 0x30, 0x64, 0x88, 
	0xCC, 0xCC, 0xCC, 0x30, 0x30, 0x30, 0x30, 0x30, 0x30, 0x64, 0x88, 
	0xCC, 0xCC, 0xCC, 0x30, 0x30, 0x30, 0x30, 0x30, 0x30, 0x64, 0x00, 
	0xCC, 0xCC, 0xCC, 0x30, 0x30, 0x30, 0x30, 0xCC, 0x30, 0x64, 0x00, 
	0xCC, 0xCC, 0x98, 0x30, 0x30, 0x30, 0x30, 0xCC, 0x30, 0x64, 0x00, 
	0xCC, 0xCC, 0x98, 0x30, 0x30, 0x30, 0x30, 0xCC, 0x30, 0x64, 0x00, 
	0xCC, 0xCC, 0x98, 0x30, 0x30, 0x30, 0x30, 0xCC, 0x30, 0x64, 0x00, 
	0xCC, 0xCC, 0x98, 0x30, 0x30, 0x30, 0x30, 0xCC, 0x30, 0x64, 0x00, 
	0xCC, 0xCC, 0x30, 0x30, 0x30, 0x30, 0x30, 0xCC, 0x30, 0x64, 0x00, 
	0x64, 0xCC, 0x30, 0x30, 0x30, 0x30, 0x30, 0xCC, 0x30, 0x64, 0x00, 
	0x98, 0x30, 0x30, 0x30, 0x30, 0x30, 0x30, 0xCC, 0x30, 0x64, 0x00, 
	0x98, 0x30, 0x30, 0x30, 0x30, 0x30, 0x64, 0xCC, 0x30, 0x64, 0x00, 
	0x98, 0x30, 0x30, 0x30, 0x30, 0x30, 0x64, 0xCC, 0x30, 0x64, 0x00, 
	0x98, 0x30, 0x30, 0x30, 0x30, 0x30, 0x64, 0xCC, 0x30, 0x64, 0x00, 
	0x98, 0x30, 0x30, 0x30, 0x30, 0x30, 0x64, 0xCC, 0x30, 0x64, 0x00, 
	0x98, 0x30, 0x30, 0x30, 0xCC, 0x30, 0x64, 0xCC, 0x30, 0x64, 0x00, 
	0x98, 0x30, 0x30, 0x30, 0xCC, 0x30, 0x64, 0xCC, 0x30, 0x64, 0x00, 
	0x98, 0x30, 0x30, 0x30, 0xCC, 0x30, 0x64, 0xCC, 0x30, 0x64, 0x00, 
	0x98, 0x30, 0x30, 0x30, 0xCC, 0x30, 0x64, 0xCC, 0x30, 0x64, 0x00, 
	0x98, 0x30, 0x30, 0x30, 0xCC, 0x30, 0x64, 0xCC, 0x30, 0x64, 0x00, 
	0x98, 0x30, 0x30, 0x30, 0xCC, 0x30, 0x64, 0xCC, 0x30, 0x64, 0x00, 
	0x98, 0x30, 0x30, 0x30, 0xCC, 0x30, 0x64, 0xCC, 0x30, 0x64, 0x00, 
	0x98, 0x30, 0x30, 0x30, 0xCC, 0x30, 0x64, 0xCC, 0x30, 0x88, 0x00, 
	0x98, 0x30, 0x30, 0x30, 0xCC, 0x30, 0x64, 0xCC, 0x30, 0x88, 0x00, 
	0x98, 0x30, 0x30, 0x30, 0xCC, 0x30, 0x64, 0x98, 0x30, 0x88, 0x00, 
	0x98, 0x30, 0x30, 0x30, 0xCC, 0x30, 0xCC, 0x30, 0x30, 0x88, 0x00, 
	0x98, 0x30, 0x30, 0x64, 0xCC, 0x30, 0xCC, 0x30, 0x30, 0x88, 0x00, 
	0x98, 0x30, 0x30, 0x64, 0xCC, 0x30, 0xCC, 0x30, 0x30, 0x88, 0x00, 
	0x98, 0x30, 0x30, 0x64, 0xCC, 0x30, 0xCC, 0x30, 0x64, 0x88, 0x00, 
	0x98, 0x30, 0x30, 0x64, 0xCC, 0x30, 0xCC, 0x30, 0x64, 0x88, 0x00, 
	0x98, 0x30, 0x30, 0x64, 0xCC, 0x30, 0xCC, 0x30, 0x64, 0x00, 0x00, 
	0x10, 0x30, 0x30, 0x64, 0xCC, 0x30, 0xCC, 0x30, 0x64, 0x00, 0x00, 
	0x98, 0x30, 0x30, 0x64, 0xCC, 0x30, 0xCC, 0x30, 0x64, 0x00, 0x00, 
	0x98, 0x30, 0x30, 0x64, 0xCC, 0x30, 0x98, 0x30, 0x64, 0x00, 0x00, 
	0xCC, 0x98, 0x30, 0xCC, 0xCC, 0x30, 0x98, 0x64, 0xCC, 0x00, 0x00, 
	0xCC, 0x98, 0x30, 0xCC, 0xCC, 0x64, 0x98, 0x64, 0xCC, 0x00, 0x00, 
	0xCC, 0x98, 0x30, 0xCC, 0xCC, 0x64, 0x98, 0x64, 0xCC, 0x00, 0x00, 
	0xCC, 0x98, 0x30, 0xCC, 0xCC, 0x64, 0x98, 0x64, 0x88, 0x00, 0x00, 
	0xCC, 0xCC, 0x64, 0xCC, 0x30, 0x64, 0xCC, 0x30, 0x88, 0x00, 0x00, 
	0xCC, 0xCC, 0xCC, 0xCC, 0x30, 0x64, 0xCC, 0xCC, 0x88, 0x00, 0x00, 
	0xCC, 0xCC, 0xCC, 0xCC, 0x30, 0x64, 0xCC, 0xCC, 0x88, 0x00, 0x00, 
	0xCC, 0xCC, 0xCC, 0xCC, 0x30, 0x64, 0xCC, 0xCC, 0x00, 0x00, 0x00, 
	0xCC, 0xCC, 0xCC, 0xCC, 0x30, 0xCC, 0xCC, 0x88, 0x00, 0x00, 0x00, 
	0xCC, 0xCC, 0xCC, 0x44, 0x30, 0xCC, 0xCC, 0xCC, 0x00, 0x00, 0x00, 
	0x44, 0xCC, 0xCC, 0x44, 0x30, 0xCC, 0xCC, 0x88, 0x00, 0x00, 0x00, 
	0x44, 0xCC, 0xCC, 0x44, 0x30, 0xCC, 0xCC, 0x00, 0x00, 0x00, 0x00, 
	0x00, 0xCC, 0xCC, 0x44, 0xCC, 0xCC, 0xCC, 0x00, 0x00, 0x00, 0x00, 
	0x40, 0xC4, 0x00, 0x44, 0xCC, 0xCC, 0xCC, 0x00, 0x00, 0x00, 0x00, 
	0x2C, 0x80, 0x00, 0x00, 0xCC, 0x00, 0x88, 0x00, 0x00, 0x00, 0x00, 
	0xC0, 0x94, 0x28, 0x80, 0x00, 0x00, 0x88, 0x00, 0x00, 0x00, 0x00, 
	0xC0, 0xC1, 0x3C, 0x48, 0x00, 0x40, 0x40, 0x00, 0x00, 0x00, 0x00, 
	0x40, 0x49, 0x69, 0x48, 0x3C, 0x2C, 0x04, 0x80, 0x00, 0x00, 0x00, 
	0x88, 0x84, 0x0C, 0x14, 0x68, 0x80, 0x2C, 0x80, 0x00, 0x00, 0x00, 
	0xCC, 0x00, 0x00, 0x40, 0x48, 0x14, 0x08, 0x00, 0x00, 0x00, 0x00, 
	0x64, 0x88, 0x88, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 
	0x64, 0xCC, 0x64, 0x44, 0xCC, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 
	0x64, 0xCC, 0x64, 0x44, 0x30, 0x88, 0x00, 0x00, 0x00, 0x00, 0x00, 
	0x64, 0xCC, 0x30, 0xCC, 0x30, 0xCC, 0x00, 0x00, 0x00, 0x00, 0x00, 
	0x98, 0x64, 0x30, 0xCC, 0x30, 0xCC, 0x00, 0x00, 0x00, 0x00, 0x00, 
	0x98, 0x64, 0x30, 0xCC, 0x30, 0x64, 0x00, 0x00, 0x00, 0x00, 0x00, 
	0x98, 0xCC, 0x30, 0xCC, 0x30, 0x64, 0x00, 0x00, 0x00, 0x00, 0x00, 
	0x98, 0x30, 0x30, 0x64, 0x30, 0x64, 0x00, 0x00, 0x00, 0x00, 0x00, 
	0x98, 0x30, 0x30, 0x64, 0x30, 0x64, 0x00, 0x00, 0x00, 0x00, 0x00, 
	0x98, 0x30, 0x30, 0x64, 0x30, 0x64, 0x00, 0x00, 0x00, 0x00, 0x00, 
	0x98, 0x30, 0x30, 0x64, 0x30, 0x64, 0x00, 0x00, 0x00, 0x00, 0x00, 
	0x98, 0x30, 0x30, 0x64, 0x98, 0x64, 0x00, 0x00, 0x00, 0x00, 0x00, 
	0x98, 0x30, 0x30, 0x64, 0xCC, 0x64, 0x00, 0x00, 0x00, 0x00, 0x00, 
	0x98, 0x30, 0x30, 0x30, 0xCC, 0x64, 0x00, 0x00, 0x00, 0x00, 0x00, 
	0x98, 0x30, 0x30, 0x30, 0xCC, 0x64, 0x00, 0x00, 0x00, 0x00, 0x00, 
	0x98, 0x30, 0x30, 0x30, 0xCC, 0x64, 0x00, 0x00, 0x00, 0x00, 0x00, 
	0x98, 0x30, 0x30, 0x30, 0xCC, 0x64, 0x88, 0x00, 0x00, 0x00, 0x00, 
	0x98, 0x30, 0x30, 0x30, 0x30, 0x30, 0x88, 0x00, 0x00, 0x00, 0x00, 
	0x98, 0x30, 0x30, 0x30, 0x30, 0x30, 0x88, 0x00, 0x00, 0x00, 0x00, 
	0x98, 0x30, 0x64, 0x30, 0x30, 0x30, 0x88, 0x00, 0x00, 0x00, 0x00, 
	0x98, 0x30, 0x64, 0x30, 0x30, 0x30, 0x88, 0x00, 0x00, 0x00, 0x00, 
	0x98, 0x30, 0x64, 0x30, 0x30, 0x30, 0x88, 0x00, 0x00, 0x00, 0x00, 
	0x98, 0x30, 0x30, 0x30, 0x30, 0x30, 0x88, 0x00, 0x00, 0x00, 0x00, 
	0x98, 0x30, 0x30, 0x98, 0x30, 0x30, 0x88, 0x00, 0x00, 0x00, 0x00, 
	0x98, 0x30, 0x30, 0x98, 0x30, 0x30, 0x88, 0x00, 0x00, 0x00, 0x00, 
	0x98, 0x30, 0x30, 0x98, 0x30, 0x30, 0x88, 0x00, 0x00, 0x00, 0x00, 
	0x98, 0x30, 0x30, 0x30, 0x30, 0x30, 0x88, 0x00, 0x00, 0x00, 0x00, 
	0x98, 0x30, 0x30, 0x64, 0x98, 0x30, 0x88, 0x00, 0x00, 0x00, 0x00, 
	0x98, 0x30, 0x30, 0x30, 0x30, 0x30, 0x88, 0x00, 0x00, 0x00, 0x00, 
	0x98, 0x30, 0x30, 0x30, 0x30, 0x30, 0x88, 0x00, 0x00, 0x00, 0x00, 
	0x98, 0x30, 0x30, 0x30, 0x30, 0x30, 0x88, 0x00, 0x00, 0x00, 0x00, 
	0x98, 0x30, 0x30, 0x30, 0x30, 0x30, 0x88, 0x00, 0x00, 0x00, 0x00, 
	0x98, 0x30, 0x30, 0x30, 0x30, 0x30, 0x88, 0x00, 0x00, 0x00, 0x00, 
	0x98, 0x30, 0x30, 0x30, 0x30, 0x30, 0x88, 0x00, 0x00, 0x00, 0x00, 
	0x98, 0x30, 0x30, 0x30, 0xCC, 0x30, 0xCC, 0x00, 0x00, 0x00, 0x00, 
	0x98, 0x30, 0x30, 0x30, 0xCC, 0x30, 0x64, 0x00, 0x00, 0x00, 0x00, 
	0x98, 0x30, 0x30, 0x30, 0xCC, 0x30, 0x64, 0x00, 0x00, 0x00, 0x00, 
	0x98, 0x30, 0x30, 0x30, 0xCC, 0x30, 0x64, 0x00, 0x00, 0x00, 0x00, 
	0x98, 0x30, 0x30, 0x30, 0xCC, 0x30, 0x64, 0x00, 0x00, 0x00, 0x00, 
	0x30, 0x30, 0x30, 0x30, 0xCC, 0x30, 0x64, 0x00, 0x00, 0x00, 0x00, 
	0xCC, 0x98, 0x30, 0x30, 0xCC, 0x30, 0x64, 0x00, 0x00, 0x00, 0x00, 
	0xCC, 0x98, 0x30, 0x30, 0xCC, 0x30, 0x64, 0x88, 0x00, 0x00, 0x00, 
	0xCC, 0x98, 0x98, 0x30, 0xCC, 0x30, 0x64, 0xCC, 0x00, 0x00, 0x00, 
	0xCC, 0x98, 0x98, 0x30, 0xCC, 0x30, 0x64, 0x88, 0x00, 0x00, 0x00, 
	0xCC, 0x98, 0x98, 0x30, 0xCC, 0x30, 0x64, 0xCC, 0x00, 0x00, 0x00, 
	0xCC, 0xCC, 0x98, 0x30, 0x30, 0x98, 0x30, 0xCC, 0x88, 0x00, 0x00, 
	0xCC, 0xCC, 0x98, 0x30, 0x30, 0x98, 0x30, 0x64, 0xCC, 0x00, 0x00, 
	0xCC, 0xCC, 0xCC, 0x30, 0x30, 0x98, 0x30, 0x30, 0x64, 0x00, 0x00, 
	0xCC, 0xCC, 0xCC, 0x30, 0x30, 0xCC, 0x30, 0x30, 0x64, 0x00, 0x00, 
	0xCC, 0x88, 0xCC, 0x98, 0xCC, 0xCC, 0x64, 0x30, 0x64, 0x00, 0x00, 
	0x00, 0x00, 0xCC, 0xCC, 0xCC, 0xCC, 0x30, 0xCC, 0x88, 0x00, 0x00, 
	0x00, 0x00, 0x44, 0x00, 0xCC, 0xCC, 0xCC, 0xCC, 0x00, 0x00, 0x00};
